/************************************************************************/
/* cutil_portable.h- Portability Header                                 */
/************************************************************************/
/*
 *  (c)2007 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/

#ifndef _CUTIL_PORTABLE_H_
#define _CUTIL_PORTABLE_H_


#ifndef WIN32

#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>
#define CUTIL_API

#else

#ifdef BUILD_CUTIL
#define CUTIL_API __declspec(dllexport)
#else
#define CUTIL_API __declspec(dllimport)
#endif

#include <winsock2.h>
#ifndef EOVERFLOW
#define EOVERFLOW       75
#endif

#endif


#endif


